Skip to main content
GET
/
v1
/
sessions
List LiveKit Audio-to-Video Sessions
curl --request GET \
  --url https://api.bey.dev/v1/sessions \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "avatar_id": "<string>",
      "status": {
        "type": "to_start"
      },
      "url": "<string>",
      "transport": "livekit"
    }
  ],
  "next_cursor": "<string>",
  "has_more": true
}

Authorizations

x-api-key
string
header
required

Your Beyond Presence API Key.

Query Parameters

limit
integer
default:10

Maximum number of objects to return.

Required range: x <= 50
cursor
string | null

Cursor for pagination.

Response

Paginated List of LiveKit Audio-to-Video Sessions

data
(LivekitSessionResponse · object | PipecatSessionResponse · object)[]
required

List of objects.

Response body for a LiveKit speech-to-video session.

next_cursor
string
required

The cursor for the next page of objects.

has_more
boolean
default:true

Whether there are more objects to fetch.